#
# Makefile for optec utilities
#
CC = gcc

CFLAGS = -O2 
LDFLAGS = 
LIBS = 
OBJS =
SRCS =	setifw.c getifw.c 

all:	setifw getifw

setifw:	setifw.o $(OBJ) 
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ setifw.o $(OBJ) $(LIBS)
        
getifw:	getifw.o $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ getifw.o $(OBJ) $(LIBS)
        
clean:
	rm -f *.o setifw getifw

dist:	clean 

install:
	cp setifw /usr/local/bin/
	cp getifw /usr/local/bin/
	ln -s /usr/local/bin/setifw /usr/local/bin/set_camera_filter        
        
uninstall:
	rm /usr/local/bin/setifw
	rm /usr/local/bin/getifw
	rm /usr/local/bin/set_camera_filter                 
